create or replace directory csv_dir as 'd:\Books\DBBook\InstructorCD3e\Workbooks\Oracle\Chapter08\CreateAllPowder';

CREATE TABLE Customer_Ext
(
CustomerID    INTEGER,
LastName      VARCHAR2(50),
FirstName     VARCHAR2(50),
Phone         VARCHAR2(50),
EMail         VARCHAR2(120),
Address       VARCHAR2(50),
City          VARCHAR2(50),
State         VARCHAR2(50),
ZIP           VARCHAR2(50),
Gender        VARCHAR2(50),
DateOfBirth   DATE
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('Customer.csv')
)
	reject limit unlimited;

CREATE TABLE ItemModel_Ext
(
ModelID       VARCHAR2(50),
ManufacturerID              INTEGER,
Category      VARCHAR2(50),
Color         VARCHAR2(50),
Cost          NUMBER(38,4),
ModelYear     INTEGER,
Graphics      VARCHAR2(50),
ItemMaterial  VARCHAR2(50),
ListPrice     NUMBER(38,4),
Style         VARCHAR2(50),
SkillLevel    INTEGER,
WeightMax     NUMBER,
WeightMin     NUMBER,
WaistWidth    NUMBER,
EffectiveEdge NUMBER,
BindingStyle  VARCHAR2(50),
RentalRate    NUMBER(38,4)
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('ItemModel.csv')
)
	reject limit unlimited;


CREATE TABLE Inventory_Ext
(
SKU           VARCHAR2(50),
ModelID       VARCHAR2(50),
ItemSize      NUMBER,
QuantityOnHand              INTEGER
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('Inventory.csv')
)
	reject limit unlimited;



CREATE TABLE Rental_Ext
(
RentID        INTEGER,
RentDate      DATE,
CustomerID    INTEGER,
ExpectedReturn              DATE,
PaymentMethod VARCHAR2(50)
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('Rental.csv')
)
	reject limit unlimited;


CREATE TABLE RentItem_Ext
(
RentID        INTEGER,
SKU           VARCHAR2(50),
RentFee       NUMBER(38,4),
ReturnDate    DATE,
ReturnCondition             VARCHAR2(150),
RepairCharges NUMBER(38,4)
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('RentItem.csv')
)
	reject limit unlimited;


CREATE TABLE Sale_Ext
(
SaleID        INTEGER,
SaleDate      DATE,
CustomerID    INTEGER,
EmployeeID    INTEGER,
ShipAddress   VARCHAR2(50),
ShipCity      VARCHAR2(50),
ShipState     VARCHAR2(50),
ShipZIP       VARCHAR2(50),
SalesTax      NUMBER(38,4),
PaymentMethod VARCHAR2(50)
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('Sale.csv')
)
	reject limit unlimited;


CREATE TABLE SaleItem_Ext
(
SaleID        INTEGER,
SKU           VARCHAR2(50),
QuantitySold  INTEGER,
SalePrice     NUMBER(38,4)
)
organization external (
	default directory csv_dir
	access parameters (
		records delimited by newline
		fields terminated by ','
		optionally enclosed by '"' lrtrim
		missing field values are null
	)
	location ('SaleItem.csv')
)
	reject limit unlimited;

